Search found 3646 matches

by Cas
Wed Oct 06, 2021 3:19 pm
Forum: Support
Topic: Deluge crashing on startup
Replies: 2
Views: 1127

Re: Deluge crashing on startup

It is likely a problem with the pip installed. What version of pip is installed?

How did you install Deluge?
by Cas
Sun Sep 19, 2021 2:59 pm
Forum: Development
Topic: --confirm
Replies: 6
Views: 9514

Re: --confirm

I agree there is some confusion here and improvement could be made. However we have to weigh up the potential for users to make mistakes with no way to undo especially with wildcard option. In fact with the GTK UI there was a discussion around user's accidentally deleting torrent data with torrent f...
by Cas
Sun Sep 19, 2021 2:04 pm
Forum: Support
Topic: Cannot Join IRC Channel
Replies: 2
Views: 3673

Re: Cannot Join IRC Channel

Although I am not on IRC much these days, I did create an official #deluge libera chat channel to replace freenode however I did not get around to officially announcing that...
by Cas
Sun Feb 21, 2021 10:40 pm
Forum: Support
Topic: Notification not working
Replies: 73
Views: 25155

Re: Notification not working

This diff should fix the issue, I will test it myself later. The error is because get_status requires a specific list of keys and without that or without using the argument all_keys it will return nothing. --- deluge/plugins/Notifications/deluge_notifications/core.py +++ deluge/plugins/Notifications...
by Cas
Fri Jul 03, 2020 6:37 pm
Forum: Development
Topic: pending pull request - do I need to do anything?
Replies: 4
Views: 13666

Re: pending pull request - do I need to do anything?

I get around to PRs when I can, with my current job I don't have much time/energy for Deluge code
by Cas
Sun Apr 12, 2020 10:31 pm
Forum: Support
Topic: Deluge isn't seeing my plugin
Replies: 4
Views: 2571

Re: Deluge isn't seeing my plugin

You will need to install the 'future' python module.

apt install python3-future

Or

pip3 install future
by Cas
Thu Jul 04, 2019 10:16 am
Forum: Support
Topic: gtk issues on 2.0.3 install
Replies: 8
Views: 5375

Re: gtk issues on 2.0.3 install

Can you see if python3-gobject-pygtkcompat is available and fixes this?
by Cas
Tue Jul 02, 2019 8:31 am
Forum: Support
Topic: cannot compile 2.0.3
Replies: 2
Views: 1862

Re: cannot compile 2.0.3

What source are you using?
by Cas
Fri Jun 28, 2019 11:16 pm
Forum: Support
Topic: gtk issues on 2.0.3 install
Replies: 8
Views: 5375

Re: gtk issues on 2.0.3 install

So this looks like a packaging problem on opensuse, in their infinite widson they deleted pygtkcompat from python3-gobject package which breaks twisted.

Perhaps try install with pip3 https://pypi.org/project/PyGObject/